CAAD
http://foro.caad.es/

Informatic, un IDE para Inform 6
http://foro.caad.es/viewtopic.php?f=12&t=5793
Página 1 de 1

Autor:  lunasspecto [ 26 Feb 2015 18:08 ]
Asunto:  Informatic, un IDE para Inform 6

Yo he creado un IDE para Inform 6. Es una programa multiplataforma que usa PyQt5. Se llama Informatic, y está beta, pero puede ejecutar el compilador y editar varios archivos de origen. Ahora también puede ejecutarse en castellano si la idioma de su sistema es español. Tiene una página GitHub. La página y la documentación se escriben en inglés se escriben en inglés, entonces aquí hay instrucciones Informatic:
  • Para usar Informatic en Windows, se necesita abrir el archivo «informatic-0.0.3-win32.zip» (o similar) y ejecutar el archivo «informatic.exe».
  • Para usar Informatic en Ubuntu, usted puede usar el paquete .deb (el archivo que se llama «informatic-0.0.3-0ubuntu1_all.deb» o similar)
  • Para usar el código fuente (el archivo que se llama «informatic-0.0.3.tar.gz» o similar), se necesita instalar Python 3, Qt 5, PyQt5 y PyQt5.Qsci (el complemento de PyQt5 para qscintilla2). Después de instalarlos, usted puede ejecutar Informatic por ejecutar el archivo «informatic.pyw». Usted puede también instalar Informatic por el comando «python3 setup.py install» (o «python setup.py install» si «python» ejecuta Python 3 en su sistema»).

Estoy nuevo en la programación seria, y no sé español bien, entonces necesito sus consejos.

Autor:  Makinaimo [ 26 Feb 2015 22:39 ]
Asunto:  Re: Informatic, un IDE para Inform 6

Vaya sorpresa. ¡Gracias por compartir tu trabajo!

Autor:  Eliuk Blau [ 26 Feb 2015 23:56 ]
Asunto:  Re: Informatic, un IDE para Inform 6

Super! :mrgreen:

Autor:  baltasarq [ 27 Feb 2015 12:38 ]
Asunto:  Re: Informatic, un IDE para Inform 6

Hola,

Muy buena idea, y parece que tiene buena pinta, pero cuando lo arranco en LUbuntu 14.10:

Código:
python3: /build/buildd/sip4-4.16.3+dfsg/siplib/siplib.c:8514: sip_api_can_convert_to_type: Assertion `(((td)->td_flags & 0x0007) == 0x0000) || (((td)->td_flags & 0x0007) == 0x0002)' failed.


...y no se llega a mostrar nada. :(

Autor:  lunasspecto [ 28 Feb 2015 00:03 ]
Asunto:  Re: Informatic, un IDE para Inform 6

baltasarq escribió:
cuando lo arranco en LUbuntu 14.10:

Código:
python3: /build/buildd/sip4-4.16.3+dfsg/siplib/siplib.c:8514: sip_api_can_convert_to_type: Assertion `(((td)->td_flags & 0x0007) == 0x0000) || (((td)->td_flags & 0x0007) == 0x0002)' failed.

Hay un defecto en el paquete «python3-pyqt5.qsci» para Ubuntu 14.10 que impide Informatic de ejecutarse. Lo siento, me olvidé mencionarlo. El defecto tiene una página en inglés. El paquete correspondiente para Ubuntu 14.04 no tiene el defecto. Es un defecto simple, pero el paquete lo ha tenido durante meses.

Autor:  Fernando Gregoire [ 28 Feb 2015 09:14 ]
Asunto:  Re: Informatic, un IDE para Inform 6

Es un IDE prometedor, y una gran idea que hayas decidido empezar a permitir internacionalizarlo.
Te animo a continuar su desarrollo y mantenernos informados, y en breve te enviaré a través de este foro un mensaje privado concerniente a la traducción al español.

Autor:  lunasspecto [ 02 Mar 2015 22:57 ]
Asunto:  Re: Informatic, un IDE para Inform 6

Informatic 0.0.4 tiene una traducción nueva por Fernando Gregoire. ¡Gracias!

Autor:  Eliuk Blau [ 04 Mar 2015 05:57 ]
Asunto:  Re: Informatic, un IDE para Inform 6

lunasspecto escribió:
Informatic 0.0.4 tiene una traducción nueva por Fernando Gregoire. ¡Gracias!


Hola! ¿No se podría crear un App Bundle para Mac OS X?

Podría intentar generarlo yo en algún tiempo libre, si es que no hay acceso a otro sistema con OSX.

Página 1 de 1 Todos los horarios son UTC + 1 hora
Powered by phpBB® Forum Software © phpBB Group
http://www.phpbb.com/